using System;
using System.Threading;

namespace NetworkManagement
{
	public class UploadContent
	{
		public int numberOfBlocks = 5;
		
		public void UploadFirmware()
		{			
			const int interBlockDelay = 1500;
			
            Console.WriteLine("Thread \"{0}\" is executing UploadContent.UploadFirmware()",
                Thread.CurrentThread.Name);

            // Do the content download.
			Console.WriteLine("Now executing the upload block transfers");
			for(int i = 1; i <= numberOfBlocks; i++)
			{
				Console.WriteLine("Block {0} of {1}", i, numberOfBlocks);
				Thread.Sleep(interBlockDelay);
			}
			Console.WriteLine("Upload successful");
		}
	}
}
